---
apiVersion: kubeadm.k8s.io/v1beta1
kind: InitConfiguration
bootstrapTokens:
- groups:
  - system:bootstrappers:kubeadm:default-node-token
  token: {{ k8s_config.initial_token }}
  ttl: 24h0m0s
  usages:
  - signing
  - authentication
localAPIEndpoint:
  advertiseAddress: {{ ansible_default_ipv4.address }}
  bindPort: 6443
nodeRegistration:
  criSocket: /var/run/dockershim.sock
  name: dev-19
  taints:
  - effect: NoSchedule
    key: node-role.kubernetes.io/master
---
apiVersion: kubeadm.k8s.io/v1beta1
kind: ClusterConfiguration
certificatesDir: /etc/kubernetes/pki
clusterName: kubernetes
controlPlaneEndpoint: {{ ansible_default_ipv4.address }}:6443
controllerManager: {}
apiServer:
  timeoutForControlPlane: 4m0s
dns:
  type: CoreDNS
etcd:
  local:
    dataDir: /var/lib/etcd
imageRepository: k8s.gcr.io
kubernetesVersion: {{ k8s_config.k8s_version }}
networking:
  dnsDomain: {{ k8s_config.dns_domain }}
  podSubnet: {{ k8s_config.pod_subnet }}
  serviceSubnet: {{ k8s_config.service_subnet }}
scheduler: {}
